<!DOCTYPE html>
<html>
<head>

  <script src="//ajax.googleapis.com/ajax/libs/angularjs/1.3.0/angular.min.js"></script>
  
  <script src="//ajax.googleapis.com/ajax/libs/angularjs/1.3.0/angular-messages.min.js"></script>
  
  <title>What's new in Angular 1.3</title>
</head>
<body ng-app="app" ng-controller="MainCtrl as vm">
  <h1>Angular {{vm.angularVersion}}</h1>
  <h2>
    Reusing and Overriding ngMessages
    <small>by <a href="http://twitter.com/kentcdodds">@kentcdodds</a></small>
  </h2>
  <hr />
  
  <h2>Demo</h2>
  
  <form name="myForm">
    <input type="email" name="myField" ng-model="field" required minlength="5" />
    <div ng-messages="myForm.myField.$error" ng-messages-include="my-messages">
      <div ng-message="required">Your email is required</div>
    </div>
    <input type="email" name="myField" ng-model="field" required minlength="5" />
    <div ng-messages="myForm.myField.$error" ng-messages-include="my-messages">
    </div>
  </form>
  
  <script type="text/ng-template" id="my-messages">
      <div ng-message="required">This field is required</div>
      <div ng-message="minlength">Input too short</div>
      <div ng-message="email">This field must be an email</div>
  </script>
</body>
</html>